<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="FtRtEvent_Static"
	ProjectGUID="{C9B550B6-FECA-1BAD-03D7-9F611C156121}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Debug\FtRtEvent_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;_DEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="..\..\..\lib\TAO_FtRtEventsd.pdb"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_FtRtEventsd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Release\FtRtEvent_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;NDEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="0"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_FtRtEvents.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<Filter
				Name="FtRtEvent"
				Filter="">
				<File
					RelativePath="FTRT_GroupManagerC.cpp">
				</File>
				<File
					RelativePath="FTRT_GroupManagerS.cpp">
				</File>
				<File
					RelativePath="FTRTC.cpp">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminC.cpp">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminS.cpp">
				</File>
				<File
					RelativePath="FtRtecEventCommC.cpp">
				</File>
				<File
					RelativePath="FtRtecEventCommS.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\FTEC_Gateway.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\Log.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\Safe_InputCDR.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\UUID.cpp">
				</File>
				<File
					RelativePath="FTRTS.cpp">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<Filter
				Name="FtRtEvent"
				Filter="">
				<File
					RelativePath="FTRT_GroupManagerC.h">
				</File>
				<File
					RelativePath="FTRT_GroupManagerS.h">
				</File>
				<File
					RelativePath="FTRT_GroupManagerS_T.h">
				</File>
				<File
					RelativePath="FTRTC.h">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminC.h">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminS.h">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminS_T.h">
				</File>
				<File
					RelativePath="FtRtecEventCommC.h">
				</File>
				<File
					RelativePath="FtRtecEventCommS.h">
				</File>
				<File
					RelativePath="FtRtecEventCommS_T.h">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\FTEC_Gateway.h">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\Log.h">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\Safe_InputCDR.h">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\UUID.h">
				</File>
				<File
					RelativePath="FTRTS.h">
				</File>
				<File
					RelativePath="FTRTS_T.h">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Idl Files"
			Filter="idl">
			<File
				RelativePath="FTRT.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FTRT.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h -GC &quot;FTRT.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FTRTC.cpp;FTRTC.h;FTRTC.inl;FTRTS.cpp;FTRTS.h;FTRTS.inl;FTRTS_T.cpp;FTRTS_T.h;FTRTS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FTRT.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h -GC &quot;FTRT.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FTRTC.cpp;FTRTC.h;FTRTC.inl;FTRTS.cpp;FTRTS.h;FTRTS.inl;FTRTS_T.cpp;FTRTS_T.h;FTRTS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FTRT_GroupManager.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FTRT_GroupManager.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h -GC &quot;FTRT_GroupManager.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FTRT_GroupManagerC.cpp;FTRT_GroupManagerC.h;FTRT_GroupManagerC.inl;FTRT_GroupManagerS.cpp;FTRT_GroupManagerS.h;FTRT_GroupManagerS.inl;FTRT_GroupManagerS_T.cpp;FTRT_GroupManagerS_T.h;FTRT_GroupManagerS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FTRT_GroupManager.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h -GC &quot;FTRT_GroupManager.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FTRT_GroupManagerC.cpp;FTRT_GroupManagerC.h;FTRT_GroupManagerC.inl;FTRT_GroupManagerS.cpp;FTRT_GroupManagerS.h;FTRT_GroupManagerS.inl;FTRT_GroupManagerS_T.cpp;FTRT_GroupManagerS_T.h;FTRT_GroupManagerS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FtRtecEventChannelAdmin.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FtRtecEventChannelAdmin.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h &quot;FtRtecEventChannelAdmin.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FtRtecEventChannelAdminC.cpp;FtRtecEventChannelAdminC.h;FtRtecEventChannelAdminC.inl;FtRtecEventChannelAdminS.cpp;FtRtecEventChannelAdminS.h;FtRtecEventChannelAdminS.inl;FtRtecEventChannelAdminS_T.cpp;FtRtecEventChannelAdminS_T.h;FtRtecEventChannelAdminS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FtRtecEventChannelAdmin.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h &quot;FtRtecEventChannelAdmin.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FtRtecEventChannelAdminC.cpp;FtRtecEventChannelAdminC.h;FtRtecEventChannelAdminC.inl;FtRtecEventChannelAdminS.cpp;FtRtecEventChannelAdminS.h;FtRtecEventChannelAdminS.inl;FtRtecEventChannelAdminS_T.cpp;FtRtecEventChannelAdminS_T.h;FtRtecEventChannelAdminS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FtRtecEventComm.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FtRtecEventComm.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h -GC &quot;FtRtecEventComm.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FtRtecEventCommC.cpp;FtRtecEventCommC.h;FtRtecEventCommC.inl;FtRtecEventCommS.cpp;FtRtecEventCommS.h;FtRtecEventCommS.inl;FtRtecEventCommS_T.cpp;FtRtecEventCommS_T.h;FtRtecEventCommS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FtRtecEventComm.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GT -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_FtRtEvent_Export -Wb,export_include=orbsvcs/FtRtEvent/Utils/ftrtevent_export.h -GC &quot;FtRtecEventComm.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FtRtecEventCommC.cpp;FtRtecEventCommC.h;FtRtecEventCommC.inl;FtRtecEventCommS.cpp;FtRtecEventCommS.h;FtRtecEventCommS.inl;FtRtecEventCommS_T.cpp;FtRtecEventCommS_T.h;FtRtecEventCommS_T.inl"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<Filter
				Name="FtRtEvent"
				Filter="">
				<File
					RelativePath="FTRT_GroupManagerC.inl">
				</File>
				<File
					RelativePath="FTRT_GroupManagerS.inl">
				</File>
				<File
					RelativePath="FTRT_GroupManagerS_T.inl">
				</File>
				<File
					RelativePath="FTRTC.inl">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminC.inl">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminS.inl">
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminS_T.inl">
				</File>
				<File
					RelativePath="FtRtecEventCommC.inl">
				</File>
				<File
					RelativePath="FtRtecEventCommS.inl">
				</File>
				<File
					RelativePath="FtRtecEventCommS_T.inl">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\FTEC_Gateway.inl">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\Log.inl">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\Safe_InputCDR.inl">
				</File>
				<File
					RelativePath="FtRtEvent\Utils\UUID.inl">
				</File>
				<File
					RelativePath="FTRTS.inl">
				</File>
				<File
					RelativePath="FTRTS_T.inl">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<Filter
				Name="FtRtEvent"
				Filter="">
				<File
					RelativePath="FTRT_GroupManagerS_T.cpp">
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="FtRtecEventChannelAdminS_T.cpp">
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="FtRtecEventCommS_T.cpp">
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="FTRTS_T.cpp">
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
				</File>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
